/*************************************************************
 * main.h
 *
 * main module definition
 *
 * Copyright (C)SEIKO EPSON CORPORATION 2009. All rights reserved.
 ************************************************************/

#ifndef MAIN_H_
#define MAIN_H_

/******************************************
 * definition of "define"
 ******************************************/

#define	MENU_ERROR					0xff					/** input menu number error */


/******************************************
 * definition of "struct"
 ******************************************/

/* menu string and test module table. */
struct	tag_MENU_TBL;
typedef struct	tag_MENU_TBL {
	unsigned char	*menuString;							/** display menu string */
	void			(*function)(void);						/** peripherarl test module */
}MENU_TBL;


#endif	// end of MAIN_H_
