/*************************************************************
 * spi_main.h
 *
 * SPI master/slave common header
 *
 * Copyright (C)SEIKO EPSON CORPORATION 2009. All rights reserved.
 ************************************************************/

#ifndef SPI_MAIN_H_
#define SPI_MAIN_H_

typedef struct tag_SPI_MAIN_PARAM {
	unsigned char *dataTx;					// transmit data buffer
	unsigned char *dataRx;					// receivce data buffer
	unsigned char counterTx;				// transmit data counter
	unsigned char counterRx;				// receivce data counter
	unsigned char counterMaxRx;				// receivce data counter max
} SPI_MAIN_PARAM;

#endif	// end of SPI_MAIN_H_

